PROJECT   = EWCalc
OBJ_CORE  = EWCalc.obj
RESOURCES = IconE.ico

#ALL: $(PROJECT).exe $(PROJECT).hlp
ALL: $(PROJECT).exe

# Definition of assembler and linker options ****************************
!IFDEF debug
AssemblerOptions = /c /coff /Zi
LinkerOptions = /DEBUGTYPE:COFF /DEBUG:MAPPED,FULL
!ELSE
LinkerOptions = /MAP
## AssemblerOptions = /coff /Cp /c /Fl
AssemblerOptions = /coff /Cp /c

!ENDIF

# \MASM32V1\LIB\COMDLG32.LIB
#                          \MASM32V1\RESOURCE\RC RESOURCE.RC

# Inference rule for updating object files ******************************
.asm.obj:
	\MASM32V1\BIN\ML $(AssemblerOptions) $<


# Build rule for executable *********************************************

$(PROJECT).exe:	$(OBJ_CORE) RESOURCE.RES
	\MASM32V1\BIN\LINK $(LinkerOptions) @<<LinkFile

/MACHINE:i386
/SUBSYSTEM:WINDOWS,4.0
/OUT:$(PROJECT).exe
$(OBJ_CORE)

RESOURCE.RES

\MASM32V1\LIB\USER32.LIB
\MASM32V1\LIB\KERNEL32.LIB
\MASM32V1\LIB\GDI32.LIB
\MASM32V1\LIB\COMCTL32.LIB
<<NOKEEP

# Build rule for resource file ******************************************
# RESOURCE.RES:	RESOURCE.RES $(RESOURCES)
                          \MASM32V1\BIN\RC RESOURCE.RC

# Build rule for help file **********************************************
#$(PROJECT).hlp:	EWCalc.hpj EWCalc.rtf $(PROJECT).cnt
#                          L:\HWS\HCW EWCalc.hpj

# Delete intermediate files *********************************************
Clean:
	Erase *.obj
	Erase *.res
